Main Page | Modules | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members

# FLAC__StreamMetadata_VorbisComment_Entry Struct Reference
[FLAC/format.h: format components]

`#include <format.h>`

List of all members.

## Detailed Description

Vorbis comment entry structure used in VORBIS_COMMENT blocks. (c.f. format specification)

For convenience, the APIs maintain a trailing NUL character at the end of entry which is not counted toward length, i.e.

     strlen(entry) == length

## Public Attributes
FLAC__uint32 | length
FLAC__byte * | entry

The documentation for this struct was generated from the following file:

- include/FLAC/format.h

Copyright (c) 2000,2001,2002,2003,2004,2005,2006,2007 Josh Coalson |